/*****************************************************/
/* Unemployment Data for Unidentified Counties in CPS*/
/* Coile, Duggan, Guo							     */
/* January 10, 2015								     */
/*****************************************************/

/*We impute the unemployment rates for observations with unidentified county information 
(due to small population) by calculating the unemployment rate for the remaining 
unmatched counties as a whole. */

clear all
set more off

use cpstemp.dta, clear
drop if year<1996
drop if year==2014

keep year state county stunemployed unemployed stlaborforce laborforce

duplicates drop

egen sum_unempl = sum(unemployed), by(year state)
egen sum_lf = sum(laborforce), by(year state)

gen diff = stunemployed-sum_unempl
rename diff missingunemployed
gen diff = stlaborforce - sum_lf
rename diff missinglaborforce
gen notid_ur = 100*missingunemployed/missinglaborforce

keep year state county missingunemployed missinglaborforce notid_ur
sort state county year
save missunempl.dta, replace

replace year = year+1
rename missingunemployed missingunemployed_1
rename missinglaborforce missinglaborforce_1
rename notid_ur notid_ur_1
save missunempl_1.dta,replace
